package com.huimv.business.server.controller;

import com.huimv.business.server.service.IDevice;
import com.huimv.business.utils.TextUtil;
import com.huimv.common.utils.Result;
import com.huimv.common.utils.ResultCode;
import lombok.extern.slf4j.Slf4j;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.*;

import java.io.UnsupportedEncodingException;

/**
 * @Project : huimv.shiwan
 * @Package : com.huimv.biosafety.uface.controller
 * @Description : TODO
 * @Version : 1.0
 * @Author : ZhuoNing
 * @Create : 2020-12-25
 **/
@CrossOrigin
@RestController
@Slf4j
@RequestMapping(value = "/farm/device")
public class DeviceController {
    @Autowired
    private IDevice iDevice;
    /**
     * @Method      : syncFarmDeviceInfo
     * @Description : 数据中心操作同步牧场设备数据
     * @Params      : [data]
     * @Return      : com.huimv.common.utils.Result
     *
     * @Author      : ZhuoNing
     * @Date        : 2021/12/15
     * @Time        : 16:54
     */
    @RequestMapping(value = "/syncAddFarmDevice",method = RequestMethod.POST)
    public Result syncFarmDeviceInfo(@RequestBody String data) throws UnsupportedEncodingException {
        log.info("客户端接收到数据>>"+data);
        //
        return iDevice.syncAddFarmDevice(data);
    }

    /**
     * @Method      : syncEditFarmDevice
     * @Description : 同步编辑牧场设备数据
     * @Params      : [data]
     * @Return      : com.huimv.common.utils.Result
     * 
     * @Author      : ZhuoNing
     * @Date        : 2021/12/15       
     * @Time        : 19:22
     */
    @RequestMapping(value = "/syncEditFarmDevice",method = RequestMethod.POST)
    public Result syncEditFarmDevice(@RequestBody String data) throws UnsupportedEncodingException {
        System.out.println("客户端接收到数据data>>"+data);
        //
        return iDevice.syncEditFarmDevice(data);
    }

    /**
     * @Method      : syncRemoveFarmDevice
     * @Description : 同步删除牧场设备数据
     * @Params      : [data]
     * @Return      : com.huimv.common.utils.Result
     * 
     * @Author      : ZhuoNing
     * @Date        : 2021/12/15       
     * @Time        : 19:22
     */
    @RequestMapping(value = "/syncRemoveFarmDevice",method = RequestMethod.POST)
    public Result syncRemoveFarmDevice(@RequestBody String data) throws UnsupportedEncodingException {
        System.out.println("客户端接收到数据data>>"+data);
        //
        return iDevice.syncRemoveFarmDevice(data);
    }



}
