package com.huimv.environ.server;

import com.alibaba.fastjson.JSON;
import com.alibaba.fastjson.JSONObject;
import com.huimv.environ.dao.entity.EnvHourEntity;
import com.huimv.environ.dao.entity.EnvMinuteEntity;
import com.huimv.environ.dao.entity.EnvRealTimeEntity;
import com.huimv.environ.dao.entity.EnvironmentDataEntity;
import com.huimv.environ.dao.repo.EnvHourRepo;
import com.huimv.environ.dao.repo.EnvMinuteRepo;
import com.huimv.environ.dao.repo.EnvRealTimeRepo;
import com.huimv.environ.dao.repo.EnvironmentDataRepo;
import com.huimv.environ.service.IEnviron;
import com.huimv.environ.utils.DateUtil;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.beans.factory.annotation.Value;
import org.springframework.stereotype.Component;
import org.springframework.stereotype.Service;

import java.io.IOException;
import java.sql.Timestamp;
import java.text.ParseException;
import java.util.Date;
import java.util.HashMap;
import java.util.Map;

/**
 * @Project : huimv.shiwan
 * @Package : com.huimv.biosafety.uface.controller
 * @Description : TODO
 * @Version : 1.0
 * @Author : ZhuoNing
 * @Create : 2020-12-25
 **/
@Component
public class EnvironDataHandler {
    @Autowired
    private EnvHourRepo envHourRepo;
    @Autowired
    private EnvMinuteRepo envMinuteRepo;
    @Autowired
    private EnvRealTimeRepo envRealTimeRepo;
    @Autowired
    private DateUtil dateUtil;
    @Autowired
    private IEnviron environ;
    @Value("${local.farmID}")
    private Integer farmID;

    public void handleReceiveData1(String receiveData){
        System.out.println("test");
    }

    //
    public void handleReceiveData(String receiveData) throws ParseException {

//        System.out.println("解析处理数据......");
        String[] receiveDataArray = receiveData.split(";");
//        System.out.println("receiveDataArray="+receiveDataArray.length);
//        for(int a=0;a<receiveDataArray.length;a++){
//            System.out.println(a+" "+receiveDataArray[a]);
//        }
        //System.currentTimeMillis()
        String stText = receiveDataArray[1];
        if(stText.indexOf("ST=") != -1){
            String st = stText.substring(stText.indexOf("ST=")+3,stText.length());
            if(st.trim().equalsIgnoreCase("32")){
                String cnText = receiveDataArray[2];
                if(cnText.indexOf("CN=") != -1){
                    String cn = cnText.substring(cnText.indexOf("CN=")+3,cnText.length());
                    if(cn.trim().equalsIgnoreCase("2011"))
                    {
                        //实时采样数据
                        System.out.println(">>>>"+dateUtil.getTodayMissionText()+" -->当前处理实时采集数据.");

                        //保存实时环保数据
                        EnvRealTimeEntity envRealTimeEntity = handleRealTimeEnviron(farmID,st,cn,receiveDataArray);

                        //发送实时数据到数据中心
                        environ.sendRealTimeEnviron(JSON.toJSON(envRealTimeEntity).toString());
                    }else  if(cn.trim().equalsIgnoreCase("2051")){
                        //分钟采样数据
                        System.out.println(">>>>"+dateUtil.getTodayMissionText()+" -->当前处理分钟采集数据.");
                        //保存分钟环保数据
                        EnvMinuteEntity envMinuteEntity = handleMinuteEnviron(farmID,st,cn,receiveDataArray);

                        //发送分钟测试数据（测试）
//                        environ.sendHourEnviron(JSON.toJSON(envMinuteEntity).toString());

                        //处理分钟环保数据报警
                        environ.handleEnvironWarningInfo(JSON.toJSON(envMinuteEntity).toString());
                    }else  if(cn.trim().equalsIgnoreCase("2061")){
                        //小时采样数据
                        System.out.println(">>>>"+dateUtil.getTodayMissionText()+" -->当前处理小时采集数据.");

                        //保存小时环保数据
                        EnvHourEntity envHourEntity = handleHourEnviron(farmID,st,cn,receiveDataArray);

                        // 发送小时数据到数据中心
                        environ.sendHourEnviron(JSON.toJSON(envHourEntity).toString());
                    }else  if(cn.trim().equalsIgnoreCase("2031")){
                        //日采样历史数据
                        System.out.println("日采样历史数据不处理!");
                    }else{
                        System.out.println("其他数据不处理!");
                    }
                }else{
                }
            }else{
                System.out.println("该数据非污染物实时采样数据");
            }
        }
    }

    //处理实时环保数据
    private EnvRealTimeEntity handleRealTimeEnviron(Integer farmID,String st, String cn, String[] receiveDataArray) throws ParseException {
        EnvRealTimeEntity envRealTimeEntity = new EnvRealTimeEntity();
        envRealTimeEntity.setFarmId(farmID);
        envRealTimeEntity.setSt(st);
        envRealTimeEntity.setCn(cn);
        //qn
        String qnText = receiveDataArray[0];
        String qn = qnText.substring(qnText.indexOf("QN=")+3,qnText.length());
        envRealTimeEntity.setQn(qn);
        //mn
        String mnText = receiveDataArray[4];
        String mn = mnText.substring(mnText.indexOf("MN=")+3,mnText.length());
        envRealTimeEntity.setMn(mn);
        //flag
//                        String flagText = receiveDataArray[5];
//                        String flag = flagText.substring(flagText.indexOf("Flag=")+5,flagText.length());
        //datetime
        String datetimeText = receiveDataArray[6];
        String datetime = datetimeText.substring(datetimeText.indexOf("DataTime=")+9,datetimeText.length());
        envRealTimeEntity.setDatetime(new Timestamp(dateUtil.parseDateTimeLong(dateUtil.rebuildDateTime(datetime))));
        //w01018
        String w01018Text = receiveDataArray[7];
        String[] w01018TextArray = w01018Text.split(",");
        //value1
        String  w01018TextData = w01018TextArray[0];
        String[] w01018TextDataArray = w01018TextData.split("=");
        String value1 = w01018TextDataArray[1];
        envRealTimeEntity.setHxxyl(value1);
        //flag1
        String  w01018TextFlag = w01018TextArray[1];
        String[] w01018TextFlagArray = w01018TextFlag.split("=");
        String state1 = w01018TextFlagArray[1];
        envRealTimeEntity.setHxxylzt(state1);
        //w21003
        String w21003Text = receiveDataArray[8];
        String[] w21003TextArray = w21003Text.split(",");
        //value
        String  w21003TextData = w21003TextArray[0];
        String[] w21003TextDataArray = w21003TextData.split("=");
        String value2 = w21003TextDataArray[1];
        envRealTimeEntity.setAd(value2);
        //flag
        String  w21003TextFlag = w21003TextArray[1];
        String[] w21003TextFlagArray = w21003TextFlag.split("=");
        String state2 = w21003TextFlagArray[1];
        envRealTimeEntity.setAdzt(state2);
        //w01001
        String w01001Text = receiveDataArray[9];
        String[] w01001TextArray = w01001Text.split(",");
        //value
        String  w01001TextData = w01001TextArray[0];
        String[] w01001TextDataArray = w01001TextData.split("=");
        String value3 = w01001TextDataArray[1];
        envRealTimeEntity.setPh(value3);
        //flag
        String  w01001TextFlag = w01001TextArray[1];
        String[] w01001TextFlagArray = w01001TextFlag.split("=");
        String state3 = w01001TextFlagArray[1];
        envRealTimeEntity.setPhzt(state3);
        //w00000
        String w00000Text = receiveDataArray[10];
        String[] w00000TextArray = w00000Text.split(",");
        //value
        String  w00000TextData = w00000TextArray[0];
        String[] w00000TextDataArray = w00000TextData.split("=");
        String value4 = w00000TextDataArray[1];
        envRealTimeEntity.setWs(value4);
        //flag
        String  w00000TextFlag = w00000TextArray[1];
        String[] w00000TextFlagArray = w00000TextFlag.split("=");
        String state4 = w00000TextFlagArray[1];
        state4 = state4.substring(0,1);
        envRealTimeEntity.setWszt(state4);
        //add_time
        envRealTimeEntity.setAddTime(new Timestamp(new Date().getTime()));
        //
        return envRealTimeRepo.save(envRealTimeEntity);
    }

    //处理小时环保数据
    private EnvHourEntity handleHourEnviron(Integer farmID,String st, String cn, String[] receiveDataArray) throws ParseException {
        EnvHourEntity envHourEntity = new EnvHourEntity();
        envHourEntity.setFarmId(farmID);
        envHourEntity.setSt(st);
        envHourEntity.setCn(cn);
        //qn
        String qnText = receiveDataArray[0];
        String qn = qnText.substring(qnText.indexOf("QN=")+3,qnText.length());
        envHourEntity.setQn(qn);
        //mn
        String mnText = receiveDataArray[4];
        String mn = mnText.substring(mnText.indexOf("MN=")+3,mnText.length());
        envHourEntity.setMn(mn);
        //flag
//                        String flagText = receiveDataArray[5];
//                        String flag = flagText.substring(flagText.indexOf("Flag=")+5,flagText.length());
        //datetime
        String datetimeText = receiveDataArray[6];
        String datetime = datetimeText.substring(datetimeText.indexOf("DataTime=")+9,datetimeText.length());
        envHourEntity.setDatetime(new Timestamp(dateUtil.parseDateTimeLong(dateUtil.rebuildDateTime(datetime))));
        //w01018
        String w01018Text = receiveDataArray[7];
        String[] w01018TextArray = w01018Text.split(",");
        //valueMin1
        String  w01018TextMin = w01018TextArray[0];
        String[] w01018TextMinArray = w01018TextMin.split("=");
        String valueMin1 = w01018TextMinArray[1];
        envHourEntity.setHxxylZx(valueMin1);
        //valueMin2
        String  w01018TextMax = w01018TextArray[1];
        String[] w01018TextMaxArray = w01018TextMax.split("=");
        String valueMax1 = w01018TextMaxArray[1];
        envHourEntity.setHxxylZd(valueMax1);
        //valueAvg1
        String  w01018TextAvg = w01018TextArray[2];
        String[] w01018TextAvgArray = w01018TextAvg.split("=");
        String valueAvg1 = w01018TextAvgArray[1];
        envHourEntity.setHxxylPj(valueAvg1);
        //flag1
        String  w01018TextFlag = w01018TextArray[4];
        String[] w01018TextFlagArray = w01018TextFlag.split("=");
        String state1 = w01018TextFlagArray[1];
        envHourEntity.setHxxylzt(state1);
        //w21003
        String w21003Text = receiveDataArray[8];
        String[] w21003TextArray = w21003Text.split(",");
        //valueMin2
        String  w21003TextMin = w21003TextArray[0];
        String[] w21003TextMinArray = w21003TextMin.split("=");
        String valueMin2 = w21003TextMinArray[1];
        envHourEntity.setAdZx(valueMin2);
        //valueMax2
        String  w21003TextMax = w21003TextArray[1];
        String[] w21003TextMaxArray = w21003TextMax.split("=");
        String valueMax2 = w21003TextMaxArray[1];
        envHourEntity.setAdZd(valueMax2);
        //valueAvg2
        String  w21003TextAvg = w21003TextArray[2];
        String[] w21003TextAvgArray = w21003TextAvg.split("=");
        String valueAvg2 = w21003TextAvgArray[1];
        envHourEntity.setAdPj(valueAvg2);
        //flag4
        String  w21003TextFlag = w21003TextArray[4];
        String[] w21003TextFlagArray = w21003TextFlag.split("=");
        String state2 = w21003TextFlagArray[1];
        envHourEntity.setAdzt(state2);
        //w01001
        String w01001Text = receiveDataArray[9];
        String[] w01001TextArray = w01001Text.split(",");
        //valueMin3
        String  w01001TextMin = w01001TextArray[0];
        String[] w01001TextMinArray = w01001TextMin.split("=");
        String valueMin3 = w01001TextMinArray[1];
        envHourEntity.setPhZx(valueMin3);
        //valueMax3
        String  w01001TextMax = w01001TextArray[1];
        String[] w01001TextMaxArray = w01001TextMax.split("=");
        String valueMax3 = w01001TextMaxArray[1];
        envHourEntity.setPhZd(valueMax3);
        //valueAvg3
        String  w01001TextAvg = w01001TextArray[2];
        String[] w01001TextAvgArray = w01001TextAvg.split("=");
        String valueAvg3 = w01001TextAvgArray[1];
        envHourEntity.setPhPj(valueAvg3);
        //flag3
        String  w01001TextFlag = w01001TextArray[3];
        String[] w01001TextFlagArray = w01001TextFlag.split("=");
        String state3 = w01001TextFlagArray[1];
        envHourEntity.setPhzt(state3);
        //w00000
        String w00000Text = receiveDataArray[10];
        String[] w00000TextArray = w00000Text.split(",");
        //valueMin4
        String  w00000TextMin = w00000TextArray[0];
        String[] w00000TextMinArray = w00000TextMin.split("=");
        String valueMin4 = w00000TextMinArray[1];
        envHourEntity.setWsZx(valueMin4);
        //valueMax4
        String  w00000TextMax = w00000TextArray[1];
        String[] w00000TextMaxArray = w00000TextMax.split("=");
        String valueMax4 = w00000TextMaxArray[1];
        envHourEntity.setWsZd(valueMax4);
        //valueAvg4
        String  w00000TextAvg = w00000TextArray[2];
        String[] w00000TextAvgArray = w00000TextAvg.split("=");
        String valueAvg4 = w00000TextAvgArray[1];
        envHourEntity.setWsPj(valueAvg4);
        //flag4
        String  w00000TextFlag = w00000TextArray[4];
        String[] w00000TextFlagArray = w00000TextFlag.split("=");
        String state4 = w00000TextFlagArray[1];
        state4 = state4.substring(0,1);
        envHourEntity.setWszt(state4);
        //add_time
        envHourEntity.setAddTime(new Timestamp(new Date().getTime()));
        //
        return envHourRepo.save(envHourEntity);
    }

    //处理分钟环保数据
    private EnvMinuteEntity handleMinuteEnviron(Integer farmID,String st, String cn, String[] receiveDataArray) throws ParseException {
        EnvMinuteEntity envMinuteEntity = new EnvMinuteEntity();
        envMinuteEntity.setFarmId(farmID);
        envMinuteEntity.setSt(st);
        envMinuteEntity.setCn(cn);
        //qn
        String qnText = receiveDataArray[0];
        String qn = qnText.substring(qnText.indexOf("QN=")+3,qnText.length());
        envMinuteEntity.setQn(qn);
        //mn
        String mnText = receiveDataArray[4];
        String mn = mnText.substring(mnText.indexOf("MN=")+3,mnText.length());
        envMinuteEntity.setMn(mn);
        //flag
//                        String flagText = receiveDataArray[5];
//                        String flag = flagText.substring(flagText.indexOf("Flag=")+5,flagText.length());
        //datetime
        String datetimeText = receiveDataArray[6];
        String datetime = datetimeText.substring(datetimeText.indexOf("DataTime=")+9,datetimeText.length());
        envMinuteEntity.setDatetime(new Timestamp(dateUtil.parseDateTimeLong(dateUtil.rebuildDateTime(datetime))));
        //w01018
        String w01018Text = receiveDataArray[7];
        String[] w01018TextArray = w01018Text.split(",");
        //valueMin1
        String  w01018TextMin = w01018TextArray[0];
        String[] w01018TextMinArray = w01018TextMin.split("=");
        String valueMin1 = w01018TextMinArray[1];
        envMinuteEntity.setHxxylZx(valueMin1);
        //valueMin2
        String  w01018TextMax = w01018TextArray[1];
        String[] w01018TextMaxArray = w01018TextMax.split("=");
        String valueMax1 = w01018TextMaxArray[1];
        envMinuteEntity.setHxxylZd(valueMax1);
        //valueAvg1
        String  w01018TextAvg = w01018TextArray[2];
        String[] w01018TextAvgArray = w01018TextAvg.split("=");
        String valueAvg1 = w01018TextAvgArray[1];
        envMinuteEntity.setHxxylPj(valueAvg1);
        //flag1
        String  w01018TextFlag = w01018TextArray[4];
        String[] w01018TextFlagArray = w01018TextFlag.split("=");
        String state1 = w01018TextFlagArray[1];
        envMinuteEntity.setHxxylzt(state1);
        //w21003
        String w21003Text = receiveDataArray[8];
        String[] w21003TextArray = w21003Text.split(",");
        //valueMin2
        String  w21003TextMin = w21003TextArray[0];
        String[] w21003TextMinArray = w21003TextMin.split("=");
        String valueMin2 = w21003TextMinArray[1];
        envMinuteEntity.setAdZx(valueMin2);
        //valueMax2
        String  w21003TextMax = w21003TextArray[1];
        String[] w21003TextMaxArray = w21003TextMax.split("=");
        String valueMax2 = w21003TextMaxArray[1];
        envMinuteEntity.setAdZd(valueMax2);
        //valueAvg2
        String  w21003TextAvg = w21003TextArray[2];
        String[] w21003TextAvgArray = w21003TextAvg.split("=");
        String valueAvg2 = w21003TextAvgArray[1];
        envMinuteEntity.setAdPj(valueAvg2);
        //flag4
        String  w21003TextFlag = w21003TextArray[4];
        String[] w21003TextFlagArray = w21003TextFlag.split("=");
        String state2 = w21003TextFlagArray[1];
        envMinuteEntity.setAdzt(state2);
        //w01001
        String w01001Text = receiveDataArray[9];
        String[] w01001TextArray = w01001Text.split(",");
        //valueMin3
        String  w01001TextMin = w01001TextArray[0];
        String[] w01001TextMinArray = w01001TextMin.split("=");
        String valueMin3 = w01001TextMinArray[1];
        envMinuteEntity.setPhZx(valueMin3);
        //valueMax3
        String  w01001TextMax = w01001TextArray[1];
        String[] w01001TextMaxArray = w01001TextMax.split("=");
        String valueMax3 = w01001TextMaxArray[1];
        envMinuteEntity.setPhZd(valueMax3);
        //valueAvg3
        String  w01001TextAvg = w01001TextArray[2];
        String[] w01001TextAvgArray = w01001TextAvg.split("=");
        String valueAvg3 = w01001TextAvgArray[1];
        envMinuteEntity.setPhPj(valueAvg3);
        //flag3
        String  w01001TextFlag = w01001TextArray[3];
        String[] w01001TextFlagArray = w01001TextFlag.split("=");
        String state3 = w01001TextFlagArray[1];
        envMinuteEntity.setPhzt(state3);
        //w00000
        String w00000Text = receiveDataArray[10];
        String[] w00000TextArray = w00000Text.split(",");
        //valueMin4
        String  w00000TextMin = w00000TextArray[0];
        String[] w00000TextMinArray = w00000TextMin.split("=");
        String valueMin4 = w00000TextMinArray[1];
        envMinuteEntity.setWsZx(valueMin4);
        //valueMax4
        String  w00000TextMax = w00000TextArray[1];
        String[] w00000TextMaxArray = w00000TextMax.split("=");
        String valueMax4 = w00000TextMaxArray[1];
        envMinuteEntity.setWsZd(valueMax4);
        //valueAvg4
        String  w00000TextAvg = w00000TextArray[2];
        String[] w00000TextAvgArray = w00000TextAvg.split("=");
        String valueAvg4 = w00000TextAvgArray[1];
        envMinuteEntity.setWsPj(valueAvg4);
        //flag4
        String  w00000TextFlag = w00000TextArray[4];
        String[] w00000TextFlagArray = w00000TextFlag.split("=");
        String state4 = w00000TextFlagArray[1];
        state4 = state4.substring(0,1);
        envMinuteEntity.setWszt(state4);
        //add_time
        envMinuteEntity.setAddTime(new Timestamp(new Date().getTime()));
        //
         EnvMinuteEntity outEnvMinuteEntity = envMinuteRepo.save(envMinuteEntity);
//        System.out.println("分钟数据入库结果>>"+outEnvMinuteEntity.toString());
         return outEnvMinuteEntity;
    }


//    public void handleReceiveData(String receiveData) {
//        EnvironmentDataEntity environmentDataEntity = new EnvironmentDataEntity();
//        /** 处理参数 */
//        Map envMap = getEnvData(receiveData);
//        System.out.println("TEST envMap>>"+envMap);
//        if (!envMap.isEmpty()) {
//            environmentDataEntity.setDate(envMap.get("date").toString());
//            environmentDataEntity.setHour(Integer.parseInt(envMap.get("hour").toString()));
//            environmentDataEntity.setQn(envMap.get("qn").toString());
//            environmentDataEntity.setDateTime(envMap.get("datatime").toString());
//            environmentDataEntity.setHxxyl(envMap.get("hxxyl").toString());
//            environmentDataEntity.setAd(envMap.get("ad").toString());
//            environmentDataEntity.setZl(envMap.get("zl").toString());
//            environmentDataEntity.setZd(envMap.get("zd").toString());
//            environmentDataEntity.setPh(envMap.get("ph").toString());
//            environmentDataEntity.setWs(Float.parseFloat(envMap.get("ws").toString()));
//            environmentDataEntity.setWslj(Float.parseFloat(envMap.get("wslj").toString()));
//            environmentDataRepo.save(environmentDataEntity);
//        } else {
//            System.out.println("空数据");
//        }
//        /*  */
////        return getResultMap("code","message",null);
//    }

    //处理污水数据
    private Map getEnvData(String receiveData) {
        Map dataMap = new HashMap();
        String[] allArray = receiveData.split(";");
        if (allArray != null && allArray.length > 0) {
            for (int b = 0; b < allArray.length; b++) {
                if (allArray[b].indexOf("QN=") != -1) {
                    String data = allArray[b];
                    dataMap.put("qn", data.substring(data.indexOf("=") + 1, data.length()));
                }
                if (allArray[b].indexOf("DataTime=") != -1) {
                    String data = allArray[b];
                    String datatime = data.substring(data.lastIndexOf("=") + 1, data.length());
                    dataMap.put("datatime", datatime);
                    String date = datatime.substring(0, 8);
                    String hour = datatime.substring(8, 10);
                    dataMap.put("date", date);
                    dataMap.put("hour", hour);
                }
                if (allArray[b].indexOf("001-Avg=") != -1) {
                    String unitData = allArray[b];
                    if (unitData != null) {
                        String[] unitDataArray = unitData.split(",");
                        for (int c = 0; c < unitDataArray.length; c++) {
                            if (unitDataArray[c].indexOf("001-Avg=") != -1) {
                                String data = unitDataArray[c];
                                dataMap.put("ph", data.substring(data.indexOf("=") + 1, data.length()));
                                break;
                            }
                        }
                    }
                }
                if (allArray[b].indexOf("011-Avg=") != -1) {
                    String unitData = allArray[b];
                    if (unitData != null) {
                        String[] unitDataArray = unitData.split(",");
                        for (int c = 0; c < unitDataArray.length; c++) {
                            if (unitDataArray[c].indexOf("011-Avg=") != -1) {
                                String data = unitDataArray[c];
                                dataMap.put("hxxyl", data.substring(data.indexOf("=") + 1, data.length()));
                                break;
                            }
                        }
                    }
                }
                if (allArray[b].indexOf("060-Avg=") != -1) {
                    String unitData = allArray[b];
                    if (unitData != null) {
                        String[] unitDataArray = unitData.split(",");
                        for (int c = 0; c < unitDataArray.length; c++) {
                            if (unitDataArray[c].indexOf("060-Avg=") != -1) {
                                String data = unitDataArray[c];
                                dataMap.put("ad", data.substring(data.indexOf("=") + 1, data.length()));
                                break;
                            }
                        }
                    }
                }
                if (allArray[b].indexOf("065-Avg=") != -1) {
                    String unitData = allArray[b];
                    if (unitData != null) {
                        String[] unitDataArray = unitData.split(",");
                        for (int c = 0; c < unitDataArray.length; c++) {
                            if (unitDataArray[c].indexOf("065-Avg=") != -1) {
                                String data = unitDataArray[c];
                                dataMap.put("zd", data.substring(data.indexOf("=") + 1, data.length()));
                                break;
                            }
                        }
                    }
                }
                if (allArray[b].indexOf("101-Avg=") != -1) {
                    String unitData = allArray[b];
                    if (unitData != null) {
                        String[] unitDataArray = unitData.split(",");
                        for (int c = 0; c < unitDataArray.length; c++) {
                            if (unitDataArray[c].indexOf("101-Avg=") != -1) {
                                String data = unitDataArray[c];
                                dataMap.put("zl", data.substring(data.indexOf("=") + 1, data.length()));
                                break;
                            }
                        }
                    }
                }
                if (allArray[b].indexOf("B01-Avg=") != -1) {
                    String unitData = allArray[b];
                    if (unitData != null) {
                        String[] unitDataArray = unitData.split(",");
                        for (int c = 0; c < unitDataArray.length; c++) {
                            if (unitDataArray[c].indexOf("B01-Avg=") != -1) {
                                String data = unitDataArray[c];
                                dataMap.put("ws", data.substring(data.indexOf("=") + 1, data.length()));
                                break;
                            }
                        }
                    }
                }
            }
        }
        String ws = dataMap.get("ws").toString();
//        /** 查询污水量并汇总 */
//        float wslj = getTotalEffluent(ws);
        dataMap.put("wslj", 0);
        return dataMap;
    }
}
