package com.huimv.environ.service.impl;

import com.alibaba.fastjson.JSON;
import com.huimv.environ.dao.entity.SysThresholdEntity;
import com.huimv.environ.dao.repo.SysThresholdRepo;
import com.huimv.environ.service.IThreshold;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.Optional;

/**
 * @Project : huimv.shiwan
 * @Package : com.huimv.biosafety.uface.controller
 * @Description : TODO
 * @Version : 1.0
 * @Author : ZhuoNing
 * @Create : 2020-12-25
 **/
@Service
public class ThresholdImpl implements IThreshold {
    @Autowired
    private SysThresholdRepo thresholdRepo;

    /**
     * @Method      : getThreshold
     * @Description : 读取阈值记录
     * @Params      : [farmId]
     * @Return      : com.huimv.environ.dao.entity.SysThresholdEntity
     * 
     * @Author      : ZhuoNing
     * @Date        : 2021/12/3       
     * @Time        : 22:34
     */
    @Override
    public String getThreshold(Integer farmId){
        //
        Optional<SysThresholdEntity> option = thresholdRepo.findByFarmId(farmId);
        if(option.isPresent()){
            return JSON.toJSON(option.get()).toString();
        }else{
            return null;
        }
    }
}
